Create Scoped Jwt
curl --request POST \
--url https://api.deepinfra.com/v1/scoped-jwt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key_name": "<string>",
"models": [
"<string>"
],
"expires_delta": 123,
"expires_at": 123,
"spending_limit": 123
}
'import requests
url = "https://api.deepinfra.com/v1/scoped-jwt"
payload = {
"api_key_name": "<string>",
"models": ["<string>"],
"expires_delta": 123,
"expires_at": 123,
"spending_limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_key_name: '<string>',
models: ['<string>'],
expires_delta: 123,
expires_at: 123,
spending_limit: 123
})
};
fetch('https://api.deepinfra.com/v1/scoped-jwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authentication
Create Scoped Jwt
POST
/
v1
/
scoped-jwt
Create Scoped Jwt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
allow inference only to the specified model names
how many seconds in the future should the token be valid for
unix timestamp when the token should expire
only allow spending that much USD until the token becomes invalid
Response
Successful Response
The newly minted scoped JWT ready for use
⌘I